<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-ui:icon
	id="copyApplications"
	message="copy-applications"
	url="javascript:;"
/>

<%
Group selGroup = (Group)request.getAttribute(WebKeys.GROUP);

PortletURL redirectURL = layoutsAdminDisplayContext.getRedirectURL();
%>

<portlet:actionURL name="copyApplications" var="copyApplicationsURL">
	<portlet:param name="mvcPath" value="/view.jsp" />
</portlet:actionURL>

<aui:form action='<%= HttpUtil.addParameter(copyApplicationsURL, "refererPlid", plid) %>' name="copyApplicationsFm">
	<aui:input name="redirect" type="hidden" value='<%= HttpUtil.addParameter(redirectURL.toString(), liferayPortletResponse.getNamespace() + "selPlid", layoutsAdminDisplayContext.getSelPlid()) %>' />
	<aui:input name="groupId" type="hidden" value="<%= selGroup.getGroupId() %>" />
	<aui:input name="selPlid" type="hidden" value="<%= layoutsAdminDisplayContext.getSelPlid() %>" />
	<aui:input name="privateLayout" type="hidden" value="<%= layoutsAdminDisplayContext.isPrivateLayout() %>" />
	<aui:input name="layoutId" type="hidden" value="<%= layoutsAdminDisplayContext.getLayoutId() %>" />
</aui:form>

<aui:script use="liferay-util-window">
	A.one('#<portlet:namespace />copyApplications').on(
		'click',
		function() {
			var content = A.one('#<portlet:namespace />copyPortletsFromPage');

			var popUp = Liferay.Util.Window.getWindow(
				{
					dialog: {
						bodyContent: content.show()
					},
					title: '<%= UnicodeLanguageUtil.get(request, "copy-applications") %>'
				}
			);

			popUp.show();

			var submitButton = popUp.get('contentBox').one('#<portlet:namespace />copySubmitButton');

			if (submitButton) {
				submitButton.on(
					'click',
					function(event) {
						popUp.hide();

						var form = A.one('#<portlet:namespace />copyApplicationsFm');

						if (form) {
							form.append(content);

							submitForm(form);
						}
					}
				);
			}
		}
	);
</aui:script>