<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
renderResponse.setTitle(layoutsAdminDisplayContext.getRootNodeName());
%>

<div class="container-fluid-1280 text-center">
	<liferay-ui:empty-result-message message='<%= layoutsAdminDisplayContext.isPrivateLayout() ? "there-are-no-private-pages" : "there-are-no-public-pages" %>'>
		<p class="text-center text-muted">
			<liferay-ui:message key='<%= layoutsAdminDisplayContext.isPrivateLayout() ? "private-pages-help" : "public-pages-help" %>' />
		</p>
	</liferay-ui:empty-result-message>

	<c:if test="<%= layoutsAdminDisplayContext.isShowAddRootLayoutButton() %>">

		<%
		PortletURL addLayoutURL = layoutsAdminDisplayContext.getAddLayoutURL(LayoutConstants.DEFAULT_PLID, layoutsAdminDisplayContext.isPrivateLayout());
		%>

		<liferay-frontend:add-menu>
			<liferay-frontend:add-menu-item title='<%= LanguageUtil.get(request, layoutsAdminDisplayContext.isPrivateLayout() ? "add-private-page" : "add-public-page") %>' url="<%= addLayoutURL.toString() %>" />
		</liferay-frontend:add-menu>
	</c:if>
</div>