<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/facets/init.jsp" %>

<c:if test="<%= !termCollectors.isEmpty() %>">

	<%
	int frequencyThreshold = dataJSONObject.getInt("frequencyThreshold");
	int maxTerms = dataJSONObject.getInt("maxTerms", 10);
	boolean showAssetCount = dataJSONObject.getBoolean("showAssetCount", true);
	%>

	<div class="panel panel-default">
		<div class="panel-heading">
			<div class="panel-title">
				<liferay-ui:message key="users" />
			</div>
		</div>

		<div class="panel-body">
			<div class="<%= cssClass %>" data-facetFieldName="<%= HtmlUtil.escapeAttribute(facet.getFieldId()) %>" id="<%= randomNamespace %>facet">
				<aui:input autocomplete="off" name="<%= HtmlUtil.escapeAttribute(facet.getFieldId()) %>" type="hidden" value="<%= fieldParam %>" />

				<ul class="list-unstyled users">
					<li class="default facet-value">
						<a class="<%= Validator.isNull(fieldParam) ? "text-primary" : "text-default" %>" data-value="" href="javascript:;"><liferay-ui:message key="<%= HtmlUtil.escape(facetConfiguration.getLabel()) %>" /></a>
					</li>

					<%
					String userName = GetterUtil.getString(fieldParam);

					for (int i = 0; i < termCollectors.size(); i++) {
						TermCollector termCollector = termCollectors.get(i);

						String curUserName = GetterUtil.getString(termCollector.getTerm());

						if (((maxTerms > 0) && (i >= maxTerms)) || ((frequencyThreshold > 0) && (frequencyThreshold > termCollector.getFrequency()))) {
							break;
						}
					%>

						<li class="facet-value">
							<a class="<%= userName.equals(curUserName) ? "text-primary" : "text-default" %>" data-value="<%= HtmlUtil.escapeAttribute(curUserName) %>" href="javascript:;">
								<%= HtmlUtil.escape(curUserName) %>

								<c:if test="<%= showAssetCount %>">
									<span class="frequency">(<%= termCollector.getFrequency() %>)</span>
								</c:if>
							</a>
						</li>

					<%
					}
					%>

				</ul>
			</div>
		</div>
	</div>
</c:if>