<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-ui:error key="shutdownMinutes" message="please-enter-the-number-of-minutes" />

<aui:button-row>
	<c:choose>
		<c:when test="<%= ShutdownUtil.isInProcess() %>">
			<aui:button cssClass="btn-lg save-server-button" data-cmd="shutdown" value="cancel-shutdown" />
		</c:when>
		<c:otherwise>
			<aui:fieldset-group markupView="lexicon">
				<aui:fieldset>
					<aui:input label="number-of-minutes" name="minutes" size="3" type="text">
						<aui:validator name="digits" />
						<aui:validator name="min">1</aui:validator>
						<aui:validator name="required" />
					</aui:input>

					<aui:input cssClass="lfr-textarea-container" label="custom-message" name="message" type="textarea" />
				</aui:fieldset>
			</aui:fieldset-group>

			<aui:button cssClass="btn-lg save-server-button" data-cmd="shutdown" value="shutdown" />
		</c:otherwise>
	</c:choose>
</aui:button-row>