<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/html/taglib/ui/app_view_entry/init.jsp" %>

<div class="app-view-entry app-view-entry-taglib display-<%= HtmlUtil.escapeAttribute(displayStyle) %> entry-display-style <%= cssClass %>" <%= AUIUtil.buildData(data) %>>
	<liferay-ui:icon
		cssClass='<%= showCheckbox ? "pull-left app-view-entry app-view-entry-taglib entry-display-style selectable" : "pull-left app-view-entry app-view-entry-taglib entry-display-style" %>'
		data="<%= data %>"
		iconCssClass="<%= iconCssClass %>"
		label="<%= true %>"
		linkCssClass="entry-link"
		localizeMessage="<%= false %>"
		message="<%= HtmlUtil.escape(title) %>"
		method="get"
		src="<%= HtmlUtil.escapeAttribute(thumbnailSrc) %>"
		url="<%= url %>"
	/>

	<c:if test="<%= locked %>">
		<i class="icon-lock pull-right"></i>
	</c:if>

	<c:if test="<%= !folder && (status != WorkflowConstants.STATUS_ANY) && (status != WorkflowConstants.STATUS_APPROVED) %>">
		<aui:workflow-status showIcon="<%= false %>" showLabel="<%= false %>" status="<%= status %>" />
	</c:if>
</div>