/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.workflow.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Tomas Polesovsky
 */
@ExtendedObjectClassDefinition(category = "workflow")
@Meta.OCD(
	id = "com.liferay.portal.workflow.configuration.WorkflowDefinitionConfiguration",
	localization = "content/Language",
	name = "workflow-definition-configuration-name"
)
public interface WorkflowDefinitionConfiguration {

	@Meta.AD(
		deflt = "false",
		description = "allow-administrators-to-publish-and-edit-workflows-description",
		id = "company.administrator.can.publish",
		name = "allow-administrators-to-publish-and-edit-workflows",
		required = false
	)
	public boolean companyAdministratorCanPublish();

} 